#ifndef _STATUSHANDLER_H_
#define _STATUSHANDLER_H_

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <errno.h>
#include <ctype.h>
#include <string.h>
#include "../include/AirportSocket.h"
#include "../include/StatusData.h"


class StatusHandler{
	private:
		AirportSocket *aAirportSocket;
	  char *sOnlineTime; //"--:--:--"  while offline
  public:
		StatusHandler();
		~StatusHandler();
		int setConnected(int iInConnect, const char *iInIP);
		int updateStatus(char *iInIP);
		char *getOnlineTime(){ return sOnlineTime; };
};


#endif	//_STATUSHANDLER_H_
